Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599370 - During upgrade of osp9 to 10, ceph cluster end up by default in state health_warn.
Summary: During upgrade of osp9 to 10, ceph cluster end up by default in state health_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z9
: 10.0 (Newton)
Assignee: Sofer Athlan-Guyot
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-09 15:55 UTC by Sofer Athlan-Guyot
Modified: 2018-09-17 16:57 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.3.10-13.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, when upgrading from OpenStack 9 to OpenStack 10, Ceph clusters had a default status of 'health_warn'. With this update, Ceph clusters have a status of 'OK' after upgrading to OpenStack 10.
Clone Of:
Environment:
Last Closed: 2018-09-17 16:56:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2670 None None None 2018-09-17 16:57:16 UTC

Description Sofer Athlan-Guyot 2018-07-09 15:55:44 UTC
Description of problem: After running non-controller upgrade on the last ceph osd, the cluster end up in state health_warn, complaining about sortbitwise

We had to do https://code.engineering.redhat.com/gerrit/#/c/143423/ to get it healthy again.

Comment 14 Alex 2018-09-03 07:57:04 UTC
Hi there,

If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field.

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Thanks,
Alex

Comment 15 Yogev Rabl 2018-09-11 19:28:04 UTC
verified on openstack-tripleo-heat-templates-5.3.10-17.el7ost.noarch

Comment 17 errata-xmlrpc 2018-09-17 16:56:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2670


Note You need to log in before you can comment on or make changes to this bug.